﻿body {
	font-family: Arial, sans-serif;
	font-size: 10px;
	background-color: white; 
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	overflow-y:hidden;
}
/*.row-collapse td {
	padding: 0px 0px;
	line-height: 0px;
	white-space: nowrap;
	overflow: hidden;
	transition-duration: .75s;
}
.row-expand td {
	line-height: 100%;
	transition-duration: .75s;
}*/
.tblLogin {	
	vertical-align: central;
	border:none;
}
table {
	border-collapse: collapse;
	margin-left: 3px;
	margin-right: 3px;
	text-align: center;
	vertical-align: top;
	padding: 3px;
	/*border: solid 1px cornflowerblue;*/
}
tbl_NewUserPartial {
	border-collapse: collapse;
	margin-left: 3px;
	margin-right: 3px;
	text-align: center;
	vertical-align: top;
	padding: 3px;
	border: solid 1px cornflowerblue;
}
th, td {
	border-collapse: collapse;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	vertical-align: middle;
	padding: 3px;
}
label {
	display: block;
	margin-bottom: 5px;
	font-weight: normal;
	color: cornflowerblue;
	text-align: left;
}
span {
	color: cornflowerblue !important;
	font-weight: bold;
}
hr {
	color: royalblue;
	background-color: cornflowerblue;
	height: 1px;
}
.customLabel {
	display: block;
	height: 12px;
	font-weight: bold; /* Pretože Font-Bold nemusí fungovať spoľahlivo */
	color: white!important;
	background-color: cornflowerblue!important;
	text-align: center;
	padding: 10px;
	font-size: 10px;
}
.zobrazData {
	background-color: white;
	width: 100%;
	height: 98%;
	border: 1px solid cornflowerblue;
	vertical-align: top;
	padding: 3px;
	margin-bottom: 30px;
}
.modelMenu {
	width: 100%;
	height: 98%;
	overflow-y: auto;
	overflow-x: hidden;
	box-sizing: border-box; 
	text-align: left;
	margin-bottom:30px;
}
input[type="text"],
input[type="password"],
input[type="email"],
input[type="datetime"] {
	padding: 5px;
	border: 1px solid cornflowerblue;
	border-radius: 4px;
	height: 15px;
	font-size: 10px;
	border-radius: 5px;
	font-size: 12px;
}
	input[type="text"]:disabled,
	input[type="datetime"]:disabled,
	input[type="password"]:disabled,
	input[type="email"]:disabled {
		background-color: lightblue;
		color: blue;
		border: 1px solid #999;
		cursor: not-allowed;
		opacity: 0.7;
	}
input[type="button"],
input[type="submit"]{
	font-size: 12px;
	margin-bottom:5px;
	height: 25px;
	width:150px;
	background-color: cornflowerblue;
	color: white;
	cursor: pointer;
	border-radius: 5px;
}
	input[type="button"]:disabled,
	input[type="submit"]:disabled {
		background-color: lightblue;
		color: cornflowerblue;
	}
.fileBtnCustom {
	padding-left: 4px;
	padding-right: 4px;
	border: 1px solid cornflowerblue;
	border-radius: 5px;
	font-size: 10px;
	background-color: cornflowerblue;
	color: white;
	cursor: pointer;
	/*margin-top: 5px;*/
}
.checkbox-label {
	display: flex;
	flex-direction: row-reverse;
	align-items: center; 
	gap: 5px; 
}
.customTextArea {
	border: 1px solid cornflowerblue;
}
input[type="text"]:active, 
input[type="password"]:active, 
input[type="email"]:active {
	border: 1px solid cornflowerblue;
	outline: none;
}
/*.linkButton {
	display: inline-block;
	width: 30px;
	height: 30px;
	padding: 0;
	margin: 0;
	border: none;
	text-align: center;
	vertical-align: middle;
}
.stretch-image {
	width: 30px;
	height: 30px;
	object-fit: contain;*/ /* zachová pomer strán obrázka */
	/*display: block;
}*/
ul {
	list-style-type: none;
	padding-left: 0;
	margin: 0;
	color: cornflowerblue;
}
	ul ul {
		padding-left: 20px; /* odsadenie podmenu v stromovom zobrazení */
		color: cornflowerblue;
	}

li ul {
	display: none;
	padding-left: 20px;
	color: cornflowerblue;
}

li.expanded > ul {
	display: block;
	color: cornflowerblue;
}
li {
	cursor: pointer;
	white-space: nowrap;
	color: cornflowerblue;
}
.mail-item {
	display: flex;
	flex-direction: column; 
	border: 1px solid cornflowerblue;
	padding: 2px;
	cursor: pointer;
	font-size: 10px;
	box-sizing: border-box;
	white-space: nowrap;
	margin: 0px 0px 2px 0px;
	height: 40px;
	cursor: pointer;
	border-radius: 5px; 
	color: cornflowerblue;
	background-color:white;
	transition: background 0.1s;
}
.mail-item.selected {
	display: flex;
	flex-direction: column;
	border: 1px solid cornflowerblue;
	padding: 2px;
	cursor: pointer;
	font-size: 10px;
	box-sizing: border-box;
	white-space: nowrap;
	margin: 0px 0px 2px 0px;
	height: 40px;
	cursor: pointer;
	border-radius: 5px;
	color: cornflowerblue;
	background-color: white;
	transition: background 0.1s;
}
.mail-itemEmpty {
	display: flex;
	flex-direction: column; 
	padding: 2px;
	cursor: none;
	font-size: 16px;
	white-space: nowrap;
	margin: 0px 0px 2px 0px;
	height: 100%;
	cursor: pointer;
	border-radius: 5px; 
	color: cornflowerblue;
	justify-content: center;
	align-items: center;
	vertical-align: middle;
}
.selected {
	background-color: lightblue !important;
	color: cornflowerblue !important;
	border-radius: 5px;
	/*height: 13px;
	display: inline-block;
	overflow: hidden; */
}
.from.selected,
.date.selected,
.subject.selected {
	font-weight: bold;
	color: cornflowerblue !important;
	background-color: lightblue !important;
	border-radius: 5px;
	padding: 1px 1px;
}
.top-row {
	display: flex;
	align-items: center;
	gap: 2px;
}
.icon,
.icon-placeholder,
.img.icon {
	width: 15px;
	height: 15px;
	flex-shrink: 0;
	margin: 0px 0px 2px 2px;
	display: inline-block;
}
.from {
	flex-grow: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	text-align: left;	
	font-weight:bold;
	font-size:10px;
	height:10px;
}
.date {
	flex-shrink: 0;
	margin-left: auto;
	white-space: nowrap;
	font-weight: bold;
	font-size: 10px;
	height: 10px;
}
.subject {
	flex-grow: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	text-align: left;
	font-weight: bold;
	font-size: 10px;
	max-width: 100%;
	height: 12px;
}
folder-path {
	background-color: white !important;
	color: cornflowerblue !important;
}
.toggle-button {
	background-color: white !important;
	color: cornflowerblue !important;
	font-size: 10px;
	font-weight: bold;
	padding: 2px 2px;
	border-radius: 4px;
	width: 10px;
	height: 10px;
	display: inline-block;
	cursor: pointer;
	text-align: center;
	margin-right: 3px;
	border: 1px solid cornflowerblue;
}
.toast-info {
	background-color: cornflowerblue;
	border: 1px solid cornflowerblue;
}
.toast-message,
.toast-message * {
	color: white !important;
}
/*Maily*/
.divHlavicka {
	width: 99%;
	height: 98%;
	margin-left: 8px;
	margin-right: 8px;
	margin-top: 0;
	margin-bottom: 0;
	background: white;
}
.tblDetailMail {
	width: 97%;
	border: none;
	border-spacing: 0;
	/*border-collapse: collapse;*/
	margin: 0;
	padding: 0;
}
	.tblDetailMail tr {
		height: 20px; /* alebo konkrétna výška */		
		margin:0px;
	}

	.tblDetailMail td {
		padding: 3px; /* shorthand: top right bottom left */
		margin: 0;
		border: none;
		vertical-align: top;
		line-height: 1.2; /* zabráni veľkým medzerám */
	}
.tox-toolbar .tox-tbtn {
	transform: scale(0.7) !important;
	height: 15px !important;
	width: 15px !important;
	margin: 0 1px !important;
}
.tox-toolbar {
	flex-wrap: nowrap !important; /* ✅ ZABráni wrapu do riadkov */
	overflow-x: hidden; /* Scroll ak je príliš široký */
}
.tox-toolbar-overflow__bar {
	display: none !important;
}
.tdTxtOd,
.tdTxtKomu,
.tdTxtSubjekt,
.tdTxtKopia,
.tdTxtDatum {
	font-size: 10px;
	font-weight: bold;
	color: cornflowerblue;
	height: 10px;
	width: 35px;
	padding-top: 0px;
	float: left;
	margin-top: 6px;
}
.txtBoxOd,
.txtBoxKomu,
.txtBoxSubjekt,
.txtBoxKopia {
	padding: 2px;
	font-size: 10px;
	font-weight: normal;
	color: cornflowerblue;
	height: 10px;
	width: 1205px;
	border: 1px solid cornflowerblue !important;
	float: left;
	margin-left: 5px;
}
	.txtBoxOd:focus,
	.txtBoxKomu:focus,
	.txtBoxSubjekt:focus,
	.txtBoxKopia:focus {
		outline: none !important;
		border-color: cornflowerblue !important;
		box-shadow: none !important;
	}
	.txtBoxOd:read-only,
	.txtBoxKomu:read-only,
	.txtBoxSubjekt:read-only,
	.txtBoxKopia:read-only {
		background-color: lightblue !important;
		color: blue !important;
		/*padding-left: 2px;*/
		font-size: 10px;
		font-weight: normal;
		height: 10px;
		width: 1205px;
		float: left;
		padding-left: 7px;
	}
.txtBoxDatum {
	margin-left: 2px;
	font-size: 10px;
	font-weight: normal;
	color: cornflowerblue;
	height: 12px;
	width: 79px;
	font-weight: bold;
	border: 1px solid cornflowerblue !important;
	outline: none !important;
	box-shadow: none !important;
	margin: 3px;
}
	.txtBoxDatum:read-only {
		background-color: lightblue !important;
		margin-left: 2px;
		font-size: 10px;
		font-weight: normal;
		color: cornflowerblue;
		height: 12px;
		width: 79px;
		font-weight: bold;
		border: 1px solid cornflowerblue !important;
		margin: 3px;
		/*outline: none !important;
		box-shadow: none !important;*/
	}
	.txtBoxDatum:focus {
		background-color: lightblue !important;
		margin-left: 2px;
		font-size: 10px;
		font-weight: normal;
		color: cornflowerblue;
		height: 12px;
		width: 79px;
		font-weight: bold;
		border: 1px solid cornflowerblue !important;
		margin: 3px;
		/*outline: none !important;
		box-shadow: none !important;*/
	}
	.cornflower-listbox {
		background-color: white !important;
		color: cornflowerblue !important;
		font-size: 10px;
		margin-left: 3px;
		width: 220px;
		height: 60px;
		border: 1px solid cornflowerblue !important;
		outline: none !important;
		box-shadow: none !important;
	}
		.cornflower-listbox:focus {
			background-color: white !important;
			color: cornflowerblue !important;
			font-size: 10px;
			margin-left: 3px;
			width: 220px;
			height: 60px;
			border: 1px solid cornflowerblue !important;
			outline: none !important;
			box-shadow: none !important;
		}
.txtBody {
	border: 1px solid cornflowerblue !important;
	box-sizing: border-box;
	background-color: white !important;
	color: cornflowerblue !important;
	overflow-y: auto; /* zobrazenie scrollbar pri potrebe */
	overflow-x: hidden;
	width: 98%;
	height: 500px;
	padding-left: 5px;
	padding-top: 5px;
	margin-left: 30px;
	margin-right: 30px;
}
	.txtBody, .txtBody * {
		color: cornflowerblue !important;
	}

.email-content {
	border: 1px solid cornflowerblue !important;
	box-sizing: border-box;
	background-color: white !important;
	color: cornflowerblue !important;
	overflow-y: auto;
	overflow-x: hidden;
	width: 98%;
	height: 590px;
	padding-left: 5px;
	padding-top: 5px;
	margin-left: 10px;
	margin-right: 10px;
}
.txtBodyDetail {
	border: 1px solid cornflowerblue !important;
	box-sizing: border-box;
	background-color: white !important;
	color: cornflowerblue !important;
	overflow-y: auto; /* zobrazenie scrollbar pri potrebe */
	overflow-x: hidden;
	width: 98%;
	height: 550px;
	border-radius: 4px;
	padding-left: 5px;
	padding-top: 5px;
	margin-left: 10px;
	margin-right: 10px;
}
.email-contentDetail {
	border: 1px solid cornflowerblue !important;
	box-sizing: border-box;
	background-color: white !important;
	color: cornflowerblue !important;
	overflow-y: auto;
	overflow-x: hidden;
	width: 98%;
	border-radius: 4px;
	height: 550px;
	padding-left: 5px;
	padding-top: 5px;
	margin-left: 10px;
	margin-right: 10px;
}
.tblHlavna {
	overflow-y: auto;
	overflow-x: hidden;
}
.selected-mail {
	background-color: lightblue;
}